Loading...
Searching...
No Matches
ipool.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "iterator.h"`
`#include "memory.h"`
`#include "placement_new.h"`
`#include "utility.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::pool_exception
class | etl::pool_no_allocation
class | etl::pool_object_not_in_pool
class | etl::pool_element_size
class | etl::ipool
class | etl::ipool::ipool_iterator< is_const >
class | etl::ipool::const_iterator

## Namespaces

namespace | etl

## Macros

#define | ETL_POOL_CPP03_CODE 0